#include <math.h>
#include <stdio.h>
#ifdef HAVE_XDR
#include <rpc/rpc.h>
#else
#include <types.h>
#include <xdr.h>
#endif

main()
    {
    double x[10], xvalue;
    int i;
    XDR xdrs;
    FILE *fp;

    fp = fopen( "test", "r" );

    printf( "----- REAL value -----\n" );
    for( i = 0; i < 10; i++ ) {
	xvalue = sin( (double)i / M_PI );
	printf( "sin(%d): %lf\n", i, xvalue );
	}

    fread( x, sizeof( double ), 1, fp );

    printf( "----- Non-XDR use -----\n" );
    for( i = 0; i < 10; i++ ) {
	printf( "sin(%d): %lf\n", i, x[i] );
	}

    rewind( fp );

    xdrstdio_create( &xdrs, fp, XDR_DECODE );

    printf( "----- XDR use -----\n" );

    for( i = 0; i < 10; i++ ) {
	xdr_double( &xdrs, x+i );
	}

    for( i = 0; i < 10; i++ ) {
	printf( "sin(%d): %lf\n", i , x[i] );
	}

    fclose( fp );
    }
