/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                           "MqCalcMaxAmp" ver 1.00                           |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/* ============================= Include files ============================= */
#include <math.h>
#include "mqdb.h"

/* ========================== Program statements  ========================== */
double MqCalcMaxAmp( double *data, unsigned long start, unsigned long points )
    {
    unsigned long   i,  limit;
    double          maxamp = 0.0;    /* maximum amplitude */

    MqClearError();
    MqSetFunc( MQCALCMAXAMP );

    limit = start + points;
    for( i = start; i <= limit; i++ )
	if( fabs( data[i] ) > maxamp ) maxamp = data[i];

    return maxamp;
    }

/* =========================== END of the program ========================== */

