/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                         "MqCountSeparator" ver 1.00                         |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|         Copyright (c) 1993 by Jun-ya Terazono, all rights reserved.         |
+----------------------------------------------------------------------------*/

/*
 *  This subroutine counts separator in strings and returns its number.
 */

/* ============================= Include files ============================= */
#include <string.h>
#include "mqdb.h"

/* ========================== Program statements  ========================== */
unsigned short MqCountSeparator( unsigned short separator, char *strings )
    {
    int  length,        /* length of the string */
         i;             /* loop counter */
    unsigned short counter = 0;   /* counter of the separator number */
    
    MqClearError();
    MqSetFunc( MQCOUNTSEPARATOR );

    if( NULL == strings )    {
	MqSetError( EMQNULLPTR );
	MqPerror( NULL );
	}

    length = strlen( strings );

    for( i = 0; i < length; i++ )
	if( strings[i] == separator ) counter++;

    return counter;
    }

/* =========================== END of the program ========================== */

