/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                          "MqSetAccessNo" ver 1.00                           |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *  This subroutine sets all components of the enum structure "MqAccess" as
 *  MQ_NO.
 */

/* ============================= Include files ============================= */
#include "mqdb.h"

/* ========================== Program statements  ========================== */
void MqSetAccessNo( MqAccess *access )
    {
    MqClearError();
    MqSetFunc( MQSETACCESSNO );

    access->AveAmp      = MQ_NO;
    access->Channels    = MQ_NO;
    access->DataCreDate = MQ_NO;
    access->DataFormat  = MQ_NO;
    access->DataModDate = MQ_NO;
    access->DataType    = MQ_NO;
    access->EndRecord   = MQ_NO;
    access->FileType    = MQ_NO;
    access->MaxAmp      = MQ_NO;
    access->NumOfData   = MQ_NO;
    access->ObsMode     = MQ_NO;
    access->OrgFileName = MQ_NO;
    access->SampRate    = MQ_NO;
    access->Station     = MQ_NO;
    access->StartRecord = MQ_NO;
    access->StartTime   = MQ_NO;
    access->TapeNumber  = MQ_NO;
    }

/* =========================== END of the program ========================== */

