/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                          "MqSetAccessYes" ver 1.00                          |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *  This subroutine sets all components of the enum structure "MqAccess" as 
 *  MQ_YES.
 */

/* ============================= Include files ============================= */
#include "mqdb.h"

/* ========================== Program statements  ========================== */
void MqSetAccessYes( MqAccess *access )
    {
    MqClearError();
    MqSetFunc( MQSETACCESSYES );

    access->AveAmp      = MQ_YES;
    access->Channels    = MQ_YES;
    access->DataCreDate = MQ_YES;
    access->DataFormat  = MQ_YES;
    access->DataModDate = MQ_YES;
    access->DataType    = MQ_YES;
    access->EndRecord   = MQ_YES;
    access->FileType    = MQ_YES;
    access->MaxAmp      = MQ_YES;
    access->NumOfData   = MQ_YES;
    access->ObsMode     = MQ_YES;
    access->OrgFileName = MQ_YES;
    access->SampRate    = MQ_YES;
    access->Station     = MQ_YES;
    access->StartRecord = MQ_YES;
    access->StartTime   = MQ_YES;
    access->TapeNumber  = MQ_YES;
    }

/* =========================== END of the program ========================== */

