/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                               "MQCTN" ver 1.00                              |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void mqctn_( unsigned short *fd, unsigned short *tape )
    {
    char  *header,      /* header strings */
          *tmpfile;     /* temporary file name */
    FILE  *ftmp;        /* file descriptor of temporary file */

    MqSetFunc( MQCTN );
    MqClearError();

    MqCheckFilDesc( *fd, MQ_WRITE );

    if( NULL == ( header = MqPutTapeNumber( *tape ))) {
	MqSetError( EMQCREATEHDR );
	MqPerror( NULL );
	}

    if( NULL == ( tmpfile = MqCreTmpHdrFileName( *fd ))) {
	MqSetError( EMQWRITETMP );
	MqPerror( NULL );
	}

    if( NULL == ( ftmp = fopen( tmpfile, "a" ))) {
	MqSetError( EMQWRITETMP );
	MqPerror( NULL );
	}

    fputs( header, ftmp );
    fclose( ftmp );

    ( MqErr.errno == EMQNOERROR ) ? 
        ( MqStatus.TapeNumber = MQ_SUCCESS ) :
            ( MqStatus.TapeNumber = MQ_FAIL );
    }

/* =========================== END of the program ========================== */

