/* ----------------------- Moonquake database utilities ----------------------+
|                                                                             |
|                            "wprerror.h" ver 1.01                            |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|      Copyright (c) 1993-1994 by Jun-ya Terazono, all rights reserved.       |
+----------------------------------------------------------------------------*/

/* ========================= History of modification  ========================
1.00  (93.06.18)  First UNIX version.
1.01  (94.07.21)  EWPRNOERROR added.
============================================================================ */

/* ========================== Program statements  ========================== */
#define EWPRNOERROR   0    /* no error, successful command termination */
#define EWPRNOARGS    1    /* no arguments specified */
#define EWPRNOINFILE  2    /* no input file specified */
#define EWPRFILOPEN   3    /* failed to open a file */
#define EWPRILOPT     4    /* illegal option assignment */
#define EWPRNOMEMORY  5    /* memory allocation failed */
#define EWPRSAMPRATE  6    /* sampling rates differ in channels */
#define EWPRZEROCH    7    /* number of channels are zero */
#define EWPRMQREAD    8    /* MqRead() failed */

/* =========================== END of the program ========================== */

