/* ----------------------- Moonquake database utilities ----------------------+
|                                                                             |
|                             "mqfunchk" ver 1.00                             |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *  This program reads "mqfunc.h", definition file of the function number of
 *  MQDB access library system and puts out numbers and names to stdin.
 *  The result is used to check validity of these numbers.
 *     Usage is very simple:
 *         mqfunchk
 *  No arguments are required.
 */

/* ============================= Include files ============================= */
#include <mqfunc.h>

/* ========================== Program statements  ========================== */
main()
    {
    unsigned short i;

    for( i = MQLIB; i < MQFUNCEND; i++ ) {
	printf( "FUNCNUM: %d, %s\n", i, MqFuncName[i] );
	}
    }

/* =========================== END of the program ========================== */

