/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                           "MqCalcAveAmp" ver 1.00                           |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/* ============================= Include files ============================= */
#include "mqdb.h"

/* ========================== Program statements  ========================== */
double MqCalcAveAmp( double *data, unsigned long start, unsigned long points )
    {
    unsigned long  i, limit;
    double         sum = 0.0,        /* summation */
                   aveamp = 0.0;     /* average amplitude */

    MqClearError();
    MqSetFunc( MQCALCAVEAMP );

    limit = start + points;
    for( i = start; i <= limit; i++ ) 	sum += data[i];
    aveamp = sum / (double)points;

    return aveamp;
    }

/* =========================== END of the program ========================== */

