/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                          "MqCheckSampRate" ver 1.00                         |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/* ============================= Include files ============================= */
#include "mqdb.h"

/* ========================== Program statements  ========================== */
double MqCheckSampRate( MQDT type )
    {
    MqClearError();
    MqSetFunc( MQCHECKSAMPRATE );

    switch( type )    {
    case MQ_LP:
	return MqSampRateLP;
	break;
    case MQ_SP:
	return MqSampRateSP;
	break;
    case MQ_TIDAL:
	return MqSampRateTIDAL;
	break;
    default:
	MqSetError( EMQILDATATYPE );
	MqPerror( NULL );
	return 0.0;
	}
    }

/* =========================== END of the program ========================== */

